subscription
Webhook notification triggered when a subscription is created or updated
Headers
Timestamp sent by Clink for webhook signature verification.
Hex-encoded HMAC-SHA256 signature generated with the webhook signing secret over the string ${X-Clink-Timestamp}.${rawRequestBody}. Use the raw request body bytes/string exactly as received; do not parse and re-serialize the JSON before verifying.
Signature algorithm used to generate X-Clink-Signature. The current value is SHA256.
SHA256 Body
Subscription event payload in json
Unique identifier for the event
Type of event that occurred
subscription.created, subscription.trialing, subscription.activated, subscription.incomplete_expired, subscription.past_due, subscription.cancelled, subscription.updated.plan_changed, subscription.updated.plan_change_canceled, subscription.updated.renewed, subscription.updated.cancel_at_period_end_set, subscription.updated.cancel_at_period_end_revoked "subscription.activated"
Type of this json payload, 'event' if this is an event
"event"
Unix timestamp in milliseconds when the event occurred
Response
Return a 200 status to indicate that the data was received successfully